## STStream

STStream — a structure for defining a stream.

## Synopsis

    struct      STStream;
    STStream*   st_stream_new                   (void);
    void        st_stream_free                  (STStream *stream);

## Description

## Details

### struct STStream

    struct STStream {

      char		*name;
    };

char *`name` | the stream internal name.

### st_stream_new ()

    STStream*   st_stream_new                   (void);

Creates a new STStream. The structure members are initialized to `NULL`, and the `name` member must be filled manually.

Returns : | a new STStream.

### st_stream_free ()

    void        st_stream_free                  (STStream *stream);

Destroys `stream` (`g_free()` will be called on the `name` member).

`stream` : | the STStream to destroy.

## See Also

STHandlerEvent, `st_handler_set_stream_version()`, `st_handler_add_field()`